data:extend({
   {
      type = "bool-setting",
      name = "rso-vanilla-biter-generation",
      setting_type = "startup",
      default_value = false,
   },
   {
      type = "bool-setting",
      name = "rso-biter-generation",
      setting_type = "runtime-global",
      default_value = true,
   },
   {
      type = "bool-setting",
      name = "rso-use-donuts",
      setting_type = "runtime-global",
      default_value = false,
      order = "y",
   },   
   {
      type = "bool-setting",
      name = "rso-remove-trees",
      setting_type = "runtime-global",
      default_value = false,
      order = "z",
   },
   {
      type = "int-setting",
      name = "rso-region-size",
      setting_type = "runtime-global",
      default_value = 7,
      minimum_value = 4,
      maximum_value = 30,
      order = "a",
   },
   {
      type = "double-setting",
      name = "rso-resource-chance",
      setting_type = "runtime-global",
      default_value = 0.5,
      minimum_value = 0.1,
      maximum_value = 1.0,
      order = "ba",
   },
   {
      type = "double-setting",
      name = "rso-enemy-chance",
      setting_type = "runtime-global",
      default_value = 0.25,
      minimum_value = 0.1,
      maximum_value = 1.0,
      order = "ca",
   },
   {
      type = "double-setting",
      name = "rso-enemy-base-size",
      setting_type = "runtime-global",
      default_value = 1.0,
      minimum_value = 1.0,
      maximum_value = 10.0,
      order = "cb",
   },   
   {
      type = "double-setting",
      name = "rso-starting-richness-mult",
      setting_type = "runtime-global",
      default_value = 1.0,
      minimum_value = 0.1,
      maximum_value = 100,
      order = "aa",
   },
   {
      type = "double-setting",
      name = "rso-global-richness-mult",
      setting_type = "runtime-global",
      default_value = 1.0,
      minimum_value = 0.1,
      maximum_value = 100,
      order = "bb",
   },
   {
      type = "double-setting",
      name = "rso-global-size-mult",
      setting_type = "runtime-global",
      default_value = 1.0,
      minimum_value = 0.1,
      maximum_value = 5,
      order = "bc",
   },

})